from retab import Retab
client = Retab()
blueprint = client.files.get_blueprint("fbp_a1b2c3d4e5f6")
print(blueprint.status)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const blueprint = await client.files.get_blueprint("fbp_a1b2c3d4e5f6");
console.log(blueprint.status);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
blueprint, err := client.Files.GetBlueprint(context.Background(), "fbp_a1b2c3d4e5f6", &retab.FilesGetBlueprintParams{})
if err != nil {
log.Fatal(err)
}
fmt.Println(*blueprint.Status)
}
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var blueprint = client.files().getBlueprint("fbp_a1b2c3d4e5f6", true);
System.out.println(blueprint.getId());
}
}
use retab::resources::files::GetBlueprintParams;
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let blueprint = client
.files()
.get_blueprint("fbp_a1b2c3d4e5f6", GetBlueprintParams::default())
.await?;
println!("{}", blueprint.id);
Ok(())
}
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var blueprint = await client.Files.GetBlueprintAsync("fbp_a1b2c3d4e5f6");
Console.WriteLine(blueprint.Id);
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$blueprint = $client->files()->getBlueprint('fbp_a1b2c3d4e5f6');
echo $blueprint->id;
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
blueprint = client.files.get_blueprint(blueprint_id: 'fbp_a1b2c3d4e5f6')
puts blueprint.id
curl \
'https://api.retab.com/v1/files/blueprints/fbp_a1b2c3d4e5f6' \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"id": "<string>",
"file": {
"id": "<string>",
"filename": "<string>",
"mime_type": "<string>"
},
"object": "file.blueprint",
"mode": "instant",
"intent": "<string>",
"output": {},
"status": "pending",
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": []
}Get File Blueprint
Retrieve a file blueprint by id.
from retab import Retab
client = Retab()
blueprint = client.files.get_blueprint("fbp_a1b2c3d4e5f6")
print(blueprint.status)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const blueprint = await client.files.get_blueprint("fbp_a1b2c3d4e5f6");
console.log(blueprint.status);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
blueprint, err := client.Files.GetBlueprint(context.Background(), "fbp_a1b2c3d4e5f6", &retab.FilesGetBlueprintParams{})
if err != nil {
log.Fatal(err)
}
fmt.Println(*blueprint.Status)
}
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var blueprint = client.files().getBlueprint("fbp_a1b2c3d4e5f6", true);
System.out.println(blueprint.getId());
}
}
use retab::resources::files::GetBlueprintParams;
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let blueprint = client
.files()
.get_blueprint("fbp_a1b2c3d4e5f6", GetBlueprintParams::default())
.await?;
println!("{}", blueprint.id);
Ok(())
}
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var blueprint = await client.Files.GetBlueprintAsync("fbp_a1b2c3d4e5f6");
Console.WriteLine(blueprint.Id);
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$blueprint = $client->files()->getBlueprint('fbp_a1b2c3d4e5f6');
echo $blueprint->id;
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
blueprint = client.files.get_blueprint(blueprint_id: 'fbp_a1b2c3d4e5f6')
puts blueprint.id
curl \
'https://api.retab.com/v1/files/blueprints/fbp_a1b2c3d4e5f6' \
-H "Authorization: Bearer $RETAB_API_KEY"
{
"id": "<string>",
"file": {
"id": "<string>",
"filename": "<string>",
"mime_type": "<string>"
},
"object": "file.blueprint",
"mode": "instant",
"intent": "<string>",
"output": {},
"status": "pending",
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}{
"detail": []
}from retab import Retab
client = Retab()
blueprint = client.files.get_blueprint("fbp_a1b2c3d4e5f6")
print(blueprint.status)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const blueprint = await client.files.get_blueprint("fbp_a1b2c3d4e5f6");
console.log(blueprint.status);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func main() {
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
blueprint, err := client.Files.GetBlueprint(context.Background(), "fbp_a1b2c3d4e5f6", &retab.FilesGetBlueprintParams{})
if err != nil {
log.Fatal(err)
}
fmt.Println(*blueprint.Status)
}
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var blueprint = client.files().getBlueprint("fbp_a1b2c3d4e5f6", true);
System.out.println(blueprint.getId());
}
}
use retab::resources::files::GetBlueprintParams;
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let blueprint = client
.files()
.get_blueprint("fbp_a1b2c3d4e5f6", GetBlueprintParams::default())
.await?;
println!("{}", blueprint.id);
Ok(())
}
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var blueprint = await client.Files.GetBlueprintAsync("fbp_a1b2c3d4e5f6");
Console.WriteLine(blueprint.Id);
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$blueprint = $client->files()->getBlueprint('fbp_a1b2c3d4e5f6');
echo $blueprint->id;
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
blueprint = client.files.get_blueprint(blueprint_id: 'fbp_a1b2c3d4e5f6')
puts blueprint.id
curl \
'https://api.retab.com/v1/files/blueprints/fbp_a1b2c3d4e5f6' \
-H "Authorization: Bearer $RETAB_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
When false, returns a cheap status-only projection (no output), served from cache for in-flight background runs.
Response
Successful Response
A document blueprint generated from an uploaded file.
Unique identifier of the file blueprint.
Information about the analyzed file.
Show child attributes
Show child attributes
"file.blueprint"Analysis depth used or requested.
instant, reasoning User intent supplied with the blueprint request.
The generated Document Blueprint payload.
Lifecycle status. The synchronous path returns 'completed'. Background runs progress pending -> queued -> in_progress -> completed | failed | cancelled.
pending, queued, in_progress, completed, failed, cancelled Error details when a background run fails; null otherwise. Always present so consumers can read it without an existence check.
Show child attributes
Show child attributes